path: /build/build/libffi-dev-libs-3.4.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libffi && luet-portage --dir
    /pkgdir/libffi dev-libs/libffi
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:c58857722cbc18e9259d5a81d4aede0d876c57c5314ad7a0b971a1c7e60e6e5a
  package:
    name: libffi
    version: 3.4.7
    category: dev-libs
    use_flags:
    - -test
    requires:
    - name: mark-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: a portable, high level programming interface to various calling conventions
    uri:
    - https://sourceware.org/libffi/
    license: MIT
    buildtimestamp: 2025-07-27 07:58:56.391645569 +0000 UTC m=+31.636816200
    labels:
      BDEPEND: test? ( dev-util/dejagnu )
      IUSE: debug exec-static-trampoline pax_kernel static-libs
      emerge.packages: dev-libs/libffi
      kit: core-kit
      original.package.name: dev-libs/libffi
      original.package.slot: "0"
      original.package.version: 3.4.7
    treedir: /build/packages
  package_dir: /pkgdir/libffi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7d9fcf4be6a15252d9d1e5b4248bec5ca3d9ee0e8b39c7bd29158ad89c3aea72
compressiontype: zstd
files:
- usr/lib64/libffi/include/ffi.h
- usr/lib64/libffi/include/ffitarget.h
- usr/lib64/libffi.so
- usr/lib64/libffi.so.8
- usr/lib64/libffi.so.8.1.4
- usr/lib64/pkgconfig/libffi.pc
- usr/share/doc/libffi-3.4.7/ChangeLog.bz2
- usr/share/doc/libffi-3.4.7/README.md.bz2
- usr/share/info/libffi.info.bz2
- usr/share/man/man3/ffi.3.bz2
- usr/share/man/man3/ffi_call.3.bz2
- usr/share/man/man3/ffi_prep_cif.3.bz2
- usr/share/man/man3/ffi_prep_cif_var.3.bz2
- var/db/pkg/dev-libs/libffi-3.4.7/BUILD_TIME
- var/db/pkg/dev-libs/libffi-3.4.7/CATEGORY
- var/db/pkg/dev-libs/libffi-3.4.7/CBUILD
- var/db/pkg/dev-libs/libffi-3.4.7/CFLAGS
- var/db/pkg/dev-libs/libffi-3.4.7/CHOST
- var/db/pkg/dev-libs/libffi-3.4.7/CONTENTS
- var/db/pkg/dev-libs/libffi-3.4.7/COUNTER
- var/db/pkg/dev-libs/libffi-3.4.7/CTARGET
- var/db/pkg/dev-libs/libffi-3.4.7/CXX
- var/db/pkg/dev-libs/libffi-3.4.7/CXXFLAGS
- var/db/pkg/dev-libs/libffi-3.4.7/DEFINED_PHASES
- var/db/pkg/dev-libs/libffi-3.4.7/DESCRIPTION
- var/db/pkg/dev-libs/libffi-3.4.7/EAPI
- var/db/pkg/dev-libs/libffi-3.4.7/FEATURES
- var/db/pkg/dev-libs/libffi-3.4.7/HOMEPAGE
- var/db/pkg/dev-libs/libffi-3.4.7/INHERITED
- var/db/pkg/dev-libs/libffi-3.4.7/IUSE
- var/db/pkg/dev-libs/libffi-3.4.7/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libffi-3.4.7/KEYWORDS
- var/db/pkg/dev-libs/libffi-3.4.7/LDFLAGS
- var/db/pkg/dev-libs/libffi-3.4.7/LICENSE
- var/db/pkg/dev-libs/libffi-3.4.7/NEEDED
- var/db/pkg/dev-libs/libffi-3.4.7/NEEDED.ELF.2
- var/db/pkg/dev-libs/libffi-3.4.7/PF
- var/db/pkg/dev-libs/libffi-3.4.7/PROVIDES
- var/db/pkg/dev-libs/libffi-3.4.7/REQUIRES
- var/db/pkg/dev-libs/libffi-3.4.7/SIZE
- var/db/pkg/dev-libs/libffi-3.4.7/SLOT
- var/db/pkg/dev-libs/libffi-3.4.7/USE
- var/db/pkg/dev-libs/libffi-3.4.7/environment.bz2
- var/db/pkg/dev-libs/libffi-3.4.7/libffi-3.4.7.ebuild
- var/db/pkg/dev-libs/libffi-3.4.7/repository
package_cacheimage: ""
runtime:
  name: libffi
  version: 3.4.7
  category: dev-libs
  use_flags:
  - -test
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: a portable, high level programming interface to various calling conventions
  uri:
  - https://sourceware.org/libffi/
  license: MIT
  labels:
    BDEPEND: test? ( dev-util/dejagnu )
    IUSE: debug exec-static-trampoline pax_kernel static-libs
    emerge.packages: dev-libs/libffi
    kit: core-kit
    original.package.name: dev-libs/libffi
    original.package.slot: "0"
    original.package.version: 3.4.7
